Subject: Re: bug#23366: 25.0.93; Custom font still not saved

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Apr 2016 10:38:51 +0300

> From: PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]>
> Date: Mon, 25 Apr 2016 06:00:18 +0000
> 
> Already reported in 25.0.92.

Could you please point out where this was reported?  I couldn't find it.

> I set the custom file according to the OS I'm running emacs on, using the following code:
> 
> (defun window-system-name()
> (if (display-graphic-p)
> (cond
> ((eq system-type 'gnu/linux) "x")
> ((eq system-type 'darwin) "mac")
> ((eq system-type 'berkeley-unix) "bsd")
> (t (progn (error "Unsupported window-system") nil)))
> "nox"))
> (setq window-environment (window-system-name))
> (setq custom-file (format "~/.emacs.d/%s-custom.el" window-environment))
> (load custom-file 'noerror)
> 
> When I set the font through
> Options->Set Default Font
> The font will be changed for the session. However, when I try to save it with
> Options->Save Options
> 
> It will not be saved in .emacs.d/$SYSTEM-custom.el
> 
> Actually, the custom-set-faces command will be empty. Happens on all systems.

I cannot reproduce this on my system (MS-Windows) with the latest
emacs-25 branch and with stock Emacs 25.0.93.  When I set custom-file
to some file name, then select "Set Default Font" from the menu bar,
and finally click "Options->Save Options", I see a message in the echo
area saying that the custom-file was written (it shows the exact name
I set custom-file to), and in the custom-file I see this part:

  (custom-set-faces
   ;; custom-set-faces was added by Custom.
   ;; If you edit it by hand, you could mess it up, so be careful.
   ;; Your init file should contain only one such instance.
   ;; If there is more than one, they won't work right.
   '(default ((t (:family "Arial Unicode MS" :foundry "outline" :slant normal :weight normal :height 98 :width normal)))))

(Arial Unicode MS is the font I selected.)

So there's something else in your customizations or your init files
that prevents this from working.  Please look closer at those
customizations and try to find the culprit.

Thanks.